Name: H5Eset_auto
Signature:
  herr_t `H5Eset_auto`(H5E_auto_t `func`, void *`client_data` )
Purpose:
  Turns automatic error printing on or off.
Description:
  `H5Eset_auto` turns on or off automatic printing of errors. When turned on (non-null `func` pointer), any API function which returns an error indication will first call `func`, passing it `client_data` as an argument.

  When the library is first initialized the auto printing function is set to `H5Eprint` (cast appropriately) and `client_data` is the standard error stream pointer, `stderr`.

  Automatic stack traversal is always in the `H5E_WALK_DOWNWARD` direction.

Parameters:

H5E_auto_t `func` | IN: Function to be called upon an error condition.
void *`client_data` | IN: Data passed to the error function.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5eset_auto_f

      SUBROUTINE h5eset_auto_f(printflag, hdferr)
        INTEGER, INTENT(IN) :: printflag  !flag to turn automatic error
                                          !printing on or off
                                          !possible values are:
                                          !printon (1)
                                          !printoff(0)
        INTEGER, INTENT(OUT) :: hdferr    ! Error code

      END SUBROUTINE h5eset_auto_f